const byte TRIGGER_PIN = 22; // Broche TRIGGER
const byte ECHO_PIN = 24; // Broche ECHO 
int moteur1= 44 ; 
int distmin = 1;
int led= 11;

/* Constantes pour le timeout */ 
//const unsigned long MEASURE_TIMEOUT = 25000UL; // 25ms = ~8m à 340m/s

/* Vitesse du son dans l'air en mm/us */ 
const float SOUND_SPEED = 340.0 / 1000;

/** Fonction setup() */ 
void setup() {

 /* Initialise le port série */
 Serial.begin(9600);
  
 /* Initialise les broches */
 pinMode(TRIGGER_PIN, OUTPUT);
 pinMode(moteur1, OUTPUT);
 pinMode(led, OUTPUT);
 pinMode(ECHO_PIN, INPUT);

}

/** Fonction loop() */ 
void loop() {
 digitalWrite(TRIGGER_PIN, LOW); 
 delayMicroseconds(2);
 /* 1. Lance une mesure de distance en envoyant une impulsion HIGH de 10µs sur la broche TRIGGER */
 digitalWrite(TRIGGER_PIN, HIGH);
 delayMicroseconds(10);
 digitalWrite(TRIGGER_PIN, LOW);
 digitalWrite(led, LOW);
 /* 2. Mesure le temps entre l'envoi de l'impulsion ultrasonique et son écho (si il existe) */
 long measure = pulseIn(ECHO_PIN, HIGH);
  
 /* 3. Calcul la distance à partir du temps mesuré */
 float distance_cm = measure*0.034/2;
  Serial.print("temps: ");
 Serial.println(measure);
 Serial.print("Distance: ");
 Serial.println(distance_cm);
 delay(500);
 
 if (distance_cm < distmin)

 { digitalWrite(led,HIGH) ;
   digitalWrite(moteur1, LOW);
   //il tourne l'engin...
   //digitalWrite(moteur2, HIGH);
   //pendant 1 secondes...
   delay(1000);
   //puis il se remet a avancer
   digitalWrite(moteur1, HIGH);
   
 }
 }

